This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 539486 - Review Request: perl-Data-AsObject - Easy OO access to complex perl data structures
Review Request: perl-Data-AsObject - Easy OO access to complex perl data stru...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 540090 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 05:59 EST by Emmanuel Seyman
Modified: 2009-12-09 23:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.05-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:03:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-11-20 05:59:30 EST
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Data-AsObject/perl-Data-AsObject.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Data-AsObject/perl-Data-AsObject-0.05-1.fc12.src.rpm
Description:
Data::AsObject provides easy object-oriented access to complex and
arbitrarily nested perl data structures. It is particulary suitable for
working with hash-based representation of XML data, as generated by modules
like XML::Complie or XML::TreePP.
Comment 1 Parag AN(पराग) 2009-11-23 00:16:28 EST
*** Bug 540090 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2009-11-26 01:07:25 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1824122
- rpmlint output for SRPM and for RPM.
perl-Data-AsObject.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-Data-AsObject-0.05/Changes
perl-Data-AsObject.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-Data-AsObject-0.05/README
==> Fix this

+ source files match upstream url (sha1sum)
9dcabb784c07512611dc4d033fc2652d027c0a2d  Data-AsObject-0.05.tar.gz

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=13,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.10 cusr  0.00 csys =  0.13 CPU)
+ Package perl-Data-AsObject-0.05-1.fc13.noarch =>
Provides: perl(Data::AsObject) = 0.05 perl(Data::AsObject::Array) perl(Data::AsObject::Hash)
Requires: perl(Carp) perl(Data::AsObject) perl(Data::AsObject::Array) perl(Data::AsObject::Hash) perl(Scalar::Util) perl(base) perl(strict) perl(warnings)
+ Not a GUI application

Suggestions:
1) you can fix rpmlint warnings by adding following lines to %prep section of spec
sed -i 's/\r//' Changes README

APPROVED.
Comment 3 Emmanuel Seyman 2009-11-26 03:32:07 EST
(In reply to comment #2)
>
> 1) you can fix rpmlint warnings by adding following lines to %prep section of
> spec
> sed -i 's/\r//' Changes README

Done.
Thank you for the review.

New Package CVS Request
=======================
Package Name: perl-Data-AsObject
Short Description: Easy OO access to complex perl data structures
Owners: eseyman
Branches: F-11 F-12
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-11-27 00:34:10 EST
cvs done.
Comment 5 Fedora Update System 2009-11-27 05:29:00 EST
perl-Data-AsObject-0.05-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Data-AsObject-0.05-2.fc12
Comment 6 Fedora Update System 2009-11-27 05:29:05 EST
perl-Data-AsObject-0.05-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Data-AsObject-0.05-2.fc11
Comment 7 Fedora Update System 2009-11-27 16:35:52 EST
perl-Data-AsObject-0.05-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-AsObject'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12200
Comment 8 Fedora Update System 2009-11-27 16:48:52 EST
perl-Data-AsObject-0.05-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-AsObject'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12242
Comment 9 Fedora Update System 2009-12-09 23:03:06 EST
perl-Data-AsObject-0.05-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-12-09 23:31:13 EST
perl-Data-AsObject-0.05-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.